package com.srs.workstudy.mapper;

import java.util.List;
import java.util.Map;

import com.srs.workstudy.domain.QgzxMoney;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.workstudy.domain.vo.DeptPostCount;
import org.apache.ibatis.annotations.Mapper;

/**
 * 勤工助学薪资填报Mapper接口
 *
 * @author srs
 * @date 2024-06-11
 */
@Mapper
public interface
QgzxMoneyMapper extends BaseMapper<QgzxMoney> {


    public List<DeptPostCount> listCount();

    public List<DeptPostCount> listAuditByDept(QgzxMoney param);


    public Map<String, Object> countUnMoney(QgzxMoney param);

    public List<QgzxMoney> listView(QgzxMoney param);


    public List<QgzxMoney> listOld(QgzxMoney param);


    /**
     * 查询勤工助学薪资填报
     *
     * @param id 勤工助学薪资填报主键
     * @return 勤工助学薪资填报
     */
    public QgzxMoney selectQgzxMoneyById(Long id);

    /**
     * 查询勤工助学薪资填报列表
     *
     * @param qgzxMoney 勤工助学薪资填报
     * @return 勤工助学薪资填报集合
     */
    List<QgzxMoney> selectQgzxMoneyList(QgzxMoney qgzxMoney);

    /**
     * 新增勤工助学薪资填报
     *
     * @param qgzxMoney 勤工助学薪资填报
     * @return 结果
     */
    int insertQgzxMoney(QgzxMoney qgzxMoney);

    /**
     * 修改勤工助学薪资填报
     *
     * @param qgzxMoney 勤工助学薪资填报
     * @return 结果
     */
    int updateQgzxMoney(QgzxMoney qgzxMoney);

    /**
     * 删除勤工助学薪资填报
     *
     * @param id 勤工助学薪资填报主键
     * @return 结果
     */
    int deleteQgzxMoneyById(Long id);

    /**
     * 批量删除勤工助学薪资填报
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQgzxMoneyByIds(Long[] ids);
}
